#ifndef __GEO_OGRE_GT_GEOMETRY__
#define __GEO_OGRE_GT_GEOMETRY__

#include <Ogre.h>
#include <GeoMesh.h>
#include <GeoVertexBuffer.h>

class OgreGTGeometry : public Ogre::Singleton<OgreGTGeometry>
{
public:
	Geometry::Mesh *transform( const Ogre::Mesh *ogreMesh );
	Ogre::MeshPtr  transform( const Geometry::Mesh *geoMesh, 
		const Ogre::String name, 
		const Ogre::String groupName = Ogre::ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME );

private:
	bool loadVertexInfo(const Ogre::VertexData* OgreV, Geometry::VertexBuffer *GeoV, 
		Ogre::VertexElementSemantic OgreType, unsigned int GeoType);
};


#endif